package com.example.swaggerUI.restApi;

import com.example.swaggerUI.model.People;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/api")
public class Student {

    @ApiOperation(value = "test class", response =String.class)
    @GetMapping(value = "/{id}")
    public People getName(@ApiParam(value = "id", required = true) @PathVariable String id){
        People people=new People();
        people.setName("smk");
        people.setId(Integer.parseInt(id));
        return people;
    }
}
